curl --request GET \
--url https://server.stage.overflow.co/api/v3/contributions \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/contributions"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/contributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6710f34fd5061afeec3eab57",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"amount": 5000,
"donorCoveredFees": false,
"contributionDate": "2025-01-01T00:00:00.000Z",
"contributionReceivedAt": "2025-01-01T00:00:00.000Z",
"depositId": "8810f34fd5061afeec3eab67",
"campaign": {
"id": "7710f34fd5061afeec3eab78",
"name": "Mission 2025"
},
"subcampaign": null,
"dedication": null,
"donorNotes": null,
"anonymous": false,
"locationId": "6710f34fd5061afeec3eab58",
"donor": {
"id": "6710f34fd5061afeec3eab50",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane.doe@example.com"
},
"givingLinkId": null,
"pledgeId": null,
"metadata": null,
"type": "CASH",
"status": "PAID_OUT",
"frequency": "ONE_TIME",
"liquidationInitiatedAt": null,
"receivedTokensAt": null,
"stocks": null,
"crypto": null,
"paymentMethod": {
"type": "card",
"last4": "4242",
"logoUrl": null
}
}
],
"totalCount": 1
}Get Contributions
Returns contributions for the nonprofit based on the provided filters.
Contribution Types
There are 5 types of contributions representing the different asset types Overflow supports: Cash, Crypto, DAF, Stock, and Manual contributions. They can be differentiated by the discriminator key type in the response.
Final Confirmation States
A contribution is considered successful or confirmed when it reaches the following status:
- CASH:
PAID_OUT - MANUAL_CASH:
CONFIRMED - CRYPTO:
CONFIRMED - STOCK:
CONTRIBUTION_RECEIVEDorBILLED - DAF:
CONTRIBUTION_RECEIVED
Status Definitions by Asset Type
Cash
PENDING: Awaiting authorization by the payment gateway.PROCESSING: Contribution is being processed. This status only applies to ACH/Bank payments.CONFIRMED: Contribution has been authorized by the payment gateway.PAID_OUT: Contribution has been settled and paid out to the NPO.FAILED: Something went wrong and the contribution was never received.VOIDED: Contribution was voided such that it never confirmed.REFUNDED: Contribution was refunded, typically at the request of the donor.CHARGEBACK: Disputed by the donor or rejected by the bank.
Manual Cash
PENDING: Awaiting confirmation from the NPO (currently in an open gift entry batch).CONFIRMED: Confirmed by the NPO (gift entry batch has been closed).VOIDED: Contribution was voided from a gift entry batch.
Crypto
PENDING: Initiated by a donor but not yet sent via their wallet.CONFIRMED: The crypto gift has been received by the NPO.PAYOUT_SENT: The crypto gift net-funds were processed by our team.PAID_OUT: The crypto gift has been settled and paid out to the NPO.
DAF (Donor Advised Funds)
INITIATED: The DAF gift has been initiated but not yet captured.IN_PROCESS: The DAF gift has been captured and is being sent to the NPO.CONTRIBUTION_RECEIVED: The DAF gift has been received by the NPO.PAYOUT_SENT: The DAF gift net-funds were processed by our team.PAID_OUT: The DAF gift has been settled and paid out to the NPO.FAILED: The DAF gift has failed to be captured or initiated.CANCELED/ABANDONED: The DAF gift has been canceled or abandoned.
Stock
VERIFYING_INFORMATION: Gathering transaction information from the donor.INITIATED: Donor intent to give received through the platform.IN_PROCESS: Forms sent to the sending brokerage and being processed.DONOR_BROKERAGE_SENT_SHARES: Donor has seen shares leave their account.RECEIVED_FOR_LIQUIDATION: Shares received by Overflow’s brokerage.LIQUIDATION_INITIATED/LIQUIDATION_COMPLETE: Selling shares to lock in value.CONTRIBUTION_RECEIVED: NPO has received the shares or liquidation cash.BILLED: Successfully billed the client for this contribution.COMPLETED: Client has paid the bill; gift lifecycle complete.PAYOUT_SENT/PAID_OUT: Proceeds transferred and settled to the NPO.TROUBLESHOOTING/DONOR_UNRESPONSIVE: Delays or loss of contact with donor.CANCELED: Transaction never fully processed or was canceled.
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of contributions to return.
1 <= x <= 100The page number of the contributions to return.
x >= 1The minimum updated date of the contributions to return.
"2025-01-01"
The maximum updated date of the contributions to return.
"2025-02-01"
The minimum date the contributions were initiated to return.
"2025-01-01"
The maximum date the contributions were initiated to return.
"2025-02-01"
Filter contributions by status buckets.
CANCELED, CONFIRMED, PENDING, FAILED ["PENDING", "CONFIRMED"]
Filter by campaign id.
Filter by subcampaign id.
Filter by location ids.
Filter by giving link id.
Filter by pledge id.
Was this page helpful?